Name:       ibus-table-erbi
Version:    1.2.0.20090901
Release:    8%{?dist}

Summary:           Erbi input method tables for IBus-Table
Summary(zh_TW):    IBus-Table 二筆碼表
Summary(zh_HK):    IBus-Table 二筆碼表
Summary(zh_CN):    IBus-Table 二笔码表

License:    GPLv2+
Group:      System Environment/Libraries
URL:        http://code.google.com/p/ibus/
Source0:    http://ibus.googlecode.com/files/%{name}-%{version}.tar.gz

BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch

Requires:         ibus-table >= 1.2
Requires(post):   ibus-table >= 1.2
BuildRequires:    ibus-table-devel >= 1.2

%description
The package contains Erbi input method tables for IBus-Table. 

%description -l zh_CN
本包含有 IBus-Table 二笔码表。

%description -l zh_HK
呢個包有 IBus-Table 二筆碼表。

%description -l zh_TW
此套件包含 IBus-Table 二筆碼表。

%prep
%setup -q

%build
export IBUS_TABLE_CREATEDB="%{_bindir}/ibus-table-createdb --no-create-index"
%configure --prefix=%{_prefix} --enable-erbi --enable-erbi-qs
%__make %{?_smp_mflags}

%install
%__rm -rf %{buildroot}
%__make DESTDIR=%{buildroot} NO_INDEX=true install INSTALL="install"

%clean
%__rm -rf %{buildroot}

%post
cd %{_datadir}/ibus-table/tables/
%{_bindir}/ibus-table-createdb -i -n erbi.db
%{_bindir}/ibus-table-createdb -i -n erbi_qs.db

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%verify(not md5 size mtime) %{_datadir}/ibus-table/tables/erbi.db
%verify(not md5 size mtime) %{_datadir}/ibus-table/tables/erbi_qs.db
%{_datadir}/ibus-table/icons/erbi.png
%{_datadir}/ibus-table/icons/erbi-qs.svg


%changelog

